<!DOCTYPE html>
<html lang="en">

<head>
    <% include _head %>
    <link rel="stylesheet" type="text/css" href="/css/classes.css">
    <script src="https://unpkg.com/feather-icons"></script>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" type="text/css" href="/css/tableScroll.css">
</head>

<body>
<% include _loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
      <span class="col-2">
          <% include _lang %>
      </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#" onclick="window.location.href='/classes'"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <section class="jumbotron small-margin">
            <div class="container">
                <h1 class="text-center"><%= __('validate_parcours') %></h1>
                <h2 class="mt-4"><%= __('pending_parcours') %></h2>
                <!-- List group -->
                <div id="pendingParcours" class="row col-12" role="tabpanel">
                    <!-- List group -->
                    <% if((pendingParcours) !== undefined) { %>
                        <% for(var i = 0; i < pendingParcours.length; i++) { %>
                        <div id="<%=pendingParcours[i].id%>" class="classe list-group-item list-group-item-action col-12">
                            <% let competences = JSON.parse(pendingParcours[i].competences)%>
                            <!--                    <div class="classe list-group-item list-group-item-action col-12" data-bs-toggle="list">-->
                            <a href="aajouterParcours/<%=i%>/<%=pendingParcours[i].id%>/<%=pendingParcours[i].nom%>/<%=competences.discipline%>/<%=competences.competence%>/<%=competences.code%>/<%=competences.objectif%>"><%= pendingParcours[i].nom %></a>
                            <span class="dateParcours float-right"><strong>Licence : </strong><%=pendingParcours[i].licence%><strong class="ml-5">Créé : </strong> <%=pendingParcours[i].created%><strong class="ml-5"><%= __('owner') %> : </strong> <%=pendingParcours[i].owner%><button class="ml-3 btn btn-outline-success" onclick="ui_parcours.updateParcoursStatus(<%=JSON.stringify(pendingParcours[i])%>,2)">Valider</button><i
 class="ml-3 corbeille" data-feather="trash-2" onclick="ui_parcours.deleteParcoursWithId(<%=pendingParcours[i].id%>)"></i></span></div>
                        <% } %>
                    <% } %>
                </div>
                <h2 class="mt-5"><%=__('valid_parcours')%></h2>
                <!-- List group -->
                <div id="parcoursValides" class="row col-md-12" role="tabpanel">
                    <!-- List group -->
                    <% if((publicParcours) !== undefined) { %>
                        <% for(var i = 0; i < publicParcours.length; i++) { %>
                        <div id="<%=publicParcours[i].id%>" class="classe list-group-item list-group-item-action col-12" role="tablist">
                            <% let competences = JSON.parse(publicParcours[i].competences)%>
                            <!--                    <div class="classe list-group-item list-group-item-action col-12" data-bs-toggle="list">-->
                            <a href="aajouterParcours/<%=i%>/<%=competences.id%>/<%=publicParcours[i].nom%>/<%=competences.discipline%>/<%=competences.competence%>/<%=competences.code%>/<%=competences.objectif%>" role="tab"><%= publicParcours[i].nom %></a>
                            <span class="dateParcours float-right"><strong>Licence : </strong><%=publicParcours[i].licence%><strong class="ml-5">Créé : </strong> <%=publicParcours[i].created%><strong class="ml-5"><%= __('owner') %> : </strong> <%=publicParcours[i].owner%><button class="ml-3 btn btn-outline-warning" onclick="ui_parcours.updateParcoursStatus(<%=JSON.stringify(publicParcours[i])%>,1)">Remettre en attente</button><i
                                        class="ml-3 corbeille" data-feather="trash-2" onclick="ui_parcours.deleteParcoursWithId(<%=publicParcours[i].id%>)"></i></span></div>
                        <% } %>
                    <% } %>
                </div>
            </div>
        </section>
    </main>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>feather.replace()</script>
</body>
</html>